package com.mortals.xhx.module.attendance.model.vo;

import lombok.Data;

/**
 * 考勤异常汇总
 */
@Data
public class ErrorSummaryVo {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    /**
     * 缺卡次数
     */
    private Integer morningTimes;
    private Integer afternoonTimes;
    /**
     * 考勤汇总-迟到（次）
     */
    private Integer lateTimes;
    /**
     * 考勤汇总-早退（次）
     */
    private Integer overtimeTimes;
}
