package com.mortals.xhx.module.staff.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.annotation.desensitization.IdCardDesensitize;
import com.mortals.framework.annotation.desensitization.MobileDesensitize;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.List;
/**
* 员工基本信息视图对象
*
* @author zxfei
* @date 2023-04-07
*/
@Data
public class StaffVo extends BaseEntityLong {

    /**
     * 联系电话
     */
    @MobileDesensitize
    private String phoneNumber;
    /**
     * 身份证号码
     */
    @IdCardDesensitize
    private String idCard;

    private List <Long> idList;

    private List<HolidayListVo> holidayLists;

    private List<StaffInfoVo>staffInfoVos;

    private List <Long> deptIdList;

}