package com.mortals.xhx.module.attendance.model.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 假期余额汇总
 */
@Data
public class VacationBalanceSummaryVo {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 所属部门
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    private String deptName;
    /**
     * 工号
     */
    private String workNum;
    /**
     * 联系电话
     */
    private String phoneNumber;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    /**
     * 事假（天）
     */
    private BigDecimal personalLeaveDays;
    /**
     * 调休（天）
     */
    private BigDecimal compensatedLeaveDays;
    /**
     * 病假（天）
     */
    private BigDecimal sickLeaveDays;
    /**
     * 年假（天）
     */
    private BigDecimal annualLeaveDays;
    /**
     * 婚假（天）
     */
    private BigDecimal marriageLeaveDays;
    /**
     * 产假（天）
     */
    private BigDecimal maternityLeaveDays;
    /**
     * 陪产假（天）
     */
    private BigDecimal paternityLeaveDays;
    /**
     * 例假（天）
     */
    private BigDecimal menstrualLeaveDays;
    /**
     * 哺乳假（天）
     */
    private BigDecimal breastfeedingLeaveDays;
    /**
     * 丧假（天）
     */
    private BigDecimal bereavementLeaveDays;
    /**
     * 回单位（天）
     */
    private BigDecimal backToUnit;
    /**
     * 因公请假（天）
     */
    private BigDecimal onDutyLeave;
    /**
     * 外出勘验（天）
     */
    private BigDecimal outOfOffice;
    /**
     * 值班补班（天）
     */
    private BigDecimal shiftCompensation;
    /**
     * 体检（天）
     */
    private BigDecimal physicalExamination;
    /**
     * 隔离（天）
     */
    private BigDecimal quarantine;
    /**
     * 因公外出（与窗口工作无关/天）
     */
    private BigDecimal businessTrip;
    /**
     * 公休（天）
     */
    private BigDecimal publicHoliday;
    /**
     * 育儿假（天）
     */
    private BigDecimal childRearingLeave;
    /**
     * 调回单位（或离职/天）
     */
    private BigDecimal transferBack;
    /**
     * 探亲假（天）
     */
    private BigDecimal homeLeave;
}
