package com.mortals.xhx.module.attendance.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.attendance.model.AttendanceStatEntity;
import com.mortals.xhx.module.attendance.model.vo.AttendanceSummaryQuery;

/**
* AttendanceStatService
*
* 考勤汇总信息 service接口
*
* @author zxfei
* @date 2023-04-08
*/
public interface AttendanceStatService extends ICRUDService<AttendanceStatEntity,Long>{

    /**
     * 生成考勤汇总数据
     * @param query
     */
    void doAttendanceSummary(AttendanceSummaryQuery query);

    Result<AttendanceStatEntity> findExt(AttendanceSummaryQuery params, PageInfo pageInfo, Context context) throws AppException;
}